#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import sys

# get ci_utils.setuptools on the path
ci_utils = os.path.join(os.path.dirname(__file__), '../ci-utils')
sys.path.append(ci_utils)
from ci_utils.setup_helper import setup

requires = [
    'PyYAML==3.10',
    'WebTest==2.0.10',
    'amqplib==1.0.0',
    'lazr.enum>=1.1.2',
    'mock==1.0.1',
    'python-jenkins==0.2.1',
    'restish==0.12.1',
]

setup('lander', 'lander.tests', requires)
