YUI().use('io', 'jsonp', 'webui', 'datatable-mutable', function(Y) {

  var table = new Y.webui.make_main_table('#table');
  if (Y.webui.main_table) {
    Y.webui.main_table.showMessage("loading data...");
  }

  Y.io(Y.webui.url_prefix + "ticketstatus/?current_workflow_step=1000", {
    on: {
      success: function (tx, r) {
        var data,
          i;
        console.log("success");

        try {
          data = Y.JSON.parse(r.responseText);
        } catch (e) {
          Y.webui.main_table.showMessage(json_error_msg);
          return;
        }

        if (data.objects && data.objects.length !== 0) {
          for (i = 0; i < data.objects.length; i += 1) {
            if (data.objects[i]) {
              Y.webui.add_item(data.objects[i]);
            }
          }
          Y.webui.check_statuses();
        }
        if (Y.webui.main_table.data.size() === 0) {
          Y.webui.main_table.showMessage("No results found");
        }
        Y.webui.done_loading = true;
      },
      failure: function (tx, r, e) {
        console.log("failure: ", tx, r, e);
      }
    }
  });
});
