YUI().use('io', 'jsonp', 'webui', 'datatable-mutable',  function(Y) {

  var columns = [
    {key: 'label', label: 'Packages'},
  ]
  var table = new Y.DataTable({columnset: columns, recordset: []});
  table.render('#package_table');

    Y.io(Y.webui.url_prefix + "binarypackage/", {
      on: {
        success: function (tx, r) {
          console.log("success");
          var data, j;

          try {
            data = Y.JSON.parse(r.responseText).objects;
          } catch (e) {
            table.showMessage(json_error_msg);
            return;
          }

          if (data && data.length !== 0) {
            for (j = 0; j < data.length; j += 1) {
              table.addRow({label: data[j].name});
            }
          }

        },
      failure: function (tx, r, e) {
        table.showMessage("Failed to retrieve data, please try again");
        console.log("failure: ", tx, r, e);
      }
    }
  });
});

